Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.ui.panels
Class LightListModel

    java.lang.Object
      javax.swing.AbstractListModel
          net.sf.j3d.threeD.ui.panels.LightListModel

All Implemented Interfaces:
  Serializable, ListModel, EventListener

    public class LightListModel

extends AbstractListModel
implements EventListener

The LightListModel class extends AbstractListModel and provides a list model that dynamically displays the Light objects of a Scene object.

See Also:
  Serialized Form

Constructor Summary
`LightListModel(Scene scene)` Constructs a new LightListModel object using the specified Scene object.

Method Summary
`void` | `eventFired(Event event)` Method called when an event has been fired.
`Object` | `getElementAt(int index)` Returns the Light object at the specified index.
`Scene` | `getScene()` Returns the Scene object used by this LightListModel object.
`int` | `getSize()` Returns the number of Light objects that are contained in the Scene object used by this LightListModel object.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LightListModel

    public LightListModel(Scene scene)

  Constructs a new LightListModel object using the specified Scene object.

Method Detail

### getScene

    public Scene getScene()

  Returns the Scene object used by this LightListModel object.

### getSize

    public int getSize()

  Returns the number of Light objects that are contained in the Scene object used by this LightListModel object.

  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Returns the Light object at the specified index.

  Specified by:
    `getElementAt` in interface `ListModel`

### eventFired

    public void eventFired(Event event)

  Method called when an event has been fired.

  Specified by:
    `eventFired` in interface `EventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD